/*!	\file		TT_main3.c
	\author		Garth Santor
	\date		2020-02-26
	\version	1.0.0

	Temperature Table with flexible user input.
*/

#include <stdio.h>
#include <math.h>
#include <stdbool.h>



int main() {
	// Get table parameters from the user
	puts("Temperature Table 1.0.0, (c) 2020, Garth Santor");
	printf("Enter a low and high Fahrenheit temperature and interval: ");
	double startF = -40;
	double endF = 140.0;
	double intervalF = 10.0;
	scanf_s("%lf %lf %lf", &startF, &endF, &intervalF);

	// correct interval direction
	intervalF = fabs(intervalF);
	if (startF > endF) {
		intervalF = -intervalF;
	}

	// Output the table
	bool descendingTable = intervalF < 0;

	putchar('\n');
	for (double tempF = startF; descendingTable ? tempF >= endF : tempF <= endF; tempF += intervalF) {
		double tempC = 5.0 / 9.0 * (tempF - 32.0);
		printf("%10.1lf F %10.1lf C\n", tempF, tempC);
	}
}